PETSc version 3.15.5
Fix/Edit manual page

# MatMFFDDSSetUmin

Sets the "umin" parameter used by the PETSc routine for computing the differencing parameter, h, which is used for matrix-free Jacobian-vector products.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDDSSetUmin(Mat A,PetscReal umin)

### Input Parameters

| A | - the matrix created with MatCreateSNESMF()
| umin | - the parameter

### Notes

See the manual page for MatCreateSNESMF() for a complete description of the algorithm used to compute h.

### See Also

MatMFFDSetFunctionError(), MatCreateSNESMF()

### Level

advanced

### Location

src/mat/impls/mffd/mffddef.c

### Implementations

MatMFFDDSSetUmin_DS in src/mat/impls/mffd/mffddef.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages